#ifndef QAABLANK_H
#define QAABLANK_H

#include <QWidget>
#include "CBaseWidget.h"
#include "json/json.h"

namespace Ui {
class qaaBlank;
}

class qaaBlank : public CBaseWidget
{
    Q_OBJECT

signals:
    void answerChanged(bool bAnswer);
public:
    explicit qaaBlank(QWidget *parent = nullptr);
    ~qaaBlank();

    void setAnswer(QString sAnswer);
    void getAnswer(QString &sAnswer);
    int setUI(const int nWidth);
    int widgetType();
private slots:
    void on_tedt_qaa_blank_textChanged();

    void on_btn_qaab_mark_clicked();

    void on_btn_qaab_cut_clicked();

    void on_btn_qaab_paste_clicked();

    void on_btn_qaab_superscript_clicked();

    void on_btn_qaab_cancelSup_clicked();

    void on_btn_qaab_subscript_clicked();

    void on_btn_qaab_cancelSub_clicked();

    void on_btn_qaab_copy_clicked();

private:
    Ui::qaaBlank *ui;
};

#endif // QAABLANK_H
